/**
* @package     JohnCMS
* @link        http://johncms.com
* @copyright   Copyright (C) 2008-2015 JohnCMS Community
* @license     LICENSE.txt (see attached file)
* @version     VERSION.txt (see attached file)
* @author      http://johncms.com/about
*/

В списке использованы следующие сокращения:
[new] - Новое добавление
[mod] - Модификация существующего
[del] - Удалено
[fix] - Исправление ошибок
[sec] - Доработка, или исправление проблем с безопасностью

################################################################################
JohnCMS 5.3.0 (21.01.2015)
-------------------------------------------------------------------------------
[new]   Добавлен Сербский язык
[mod]   Новая функция очистки профилей при их удалении
[fix]   В загруз центре можно было комментировать несуществующий файл
[fix]   Исправлена ошибка рейтинга файлов в загруз-центре
[fix]   Исправлено поле "о себе" редактирования профиля
[fix]   Исправлены замеченные ошибки

################################################################################
JohnCMS 5.2.1 (29.12.2013)
-------------------------------------------------------------------------------
[fix]   Исправлены замеченные ошибки

################################################################################
JohnCMS 5.2.0 (29.10.2013)
-------------------------------------------------------------------------------
[new]   Добавлена функция вывода картинок интерфейса
[mod]   Оптимизация кода
[mod]   Доработка кода каталога аватаров
[mod]   Доработан раздел Форума "показать за период"
[mod]   В форуме добавлены ссылки на цитируемые посты
[fix]   Исправлена ошибка XHTML при вставке ссылок в спойлеры
[fix]   Исправлена постраничная навигация в исходящих письмах
[fix]   Забаненные пользователи имели возможность выгружать картинки в свой альбом
[del]   Удален "Быстрый переход"
[del]   Удален Автологин по ссылке

################################################################################
JohnCMS 5.1.0 (07.07.2013)
-------------------------------------------------------------------------------
[new]   Добавлено управление правами для отдельных разделов форума
        - возможно разрешить автору темы редактировать 1-й пост
        - возможно включить автоматическое назначение автора темы куратором
        - возможность переводить раздел в режим "только для чтения"
[new]   bbCode для вставки Спойлеров в тексты (от seg0ro)
[new]   "Закрытие сайта" (от VARG)
[new]   Добавлена тема оформления от selemet
[mod]   В форуме добавлены ссылки на посты
[mod]   При добавлении в игнор, юзер удаляется из друзей (от VARG)
[mod]   Настройки почты объединены с системными настройками пользователя
[mod]   При просмотре текста отдельного поста, не отображались прикрепленные файлы
[mod]   В админке добавлено удаление всех файлов из переписки и очистка таблиц почты и контактов с удаляемым юзером (от VARG)
[mod]   В закрытые фотоальбомы из администрации имеют доступ только Админы
[mod]   Доработка палитры цветов bbCode (от seg0ro)
[fix]   Исправлена возможность отправлять заявки на дружбу, если юзер находился в игноре или в бане (от VARG)
[fix]   Исправлены комментарии в личных альбомах
[fix]   При редактировании поста в Гостевой, не работала панель BBcode

################################################################################
JohnCMS 5.0.0 (04.05.2013)
-------------------------------------------------------------------------------
[new]   Новая почта (приват) от Krite с доработками от AlkatraZ
[new]   Модуль "Друзья" от Krite с доработками от AlkatraZ
[new]   Возможность установить доступ к личным альбомам для друзей
[mod]   Полная переделка системы игнора
[mod]   Обновлен перевод на Казахский язык
[fix]   В голосованиях форума, для администрации не был виден список проголосовавших
[fix]   Была возможность посторонним комментировать фотографии из закрытых альбомов
[fix]   Исправлена ошибка с переносом строк при редактировании своей анкеты
[fix]   Исправлено время в цитировании поста форума
[fix]   Устранена ошибка XHTML в RSS лентах
[fix]   Исправлен ТОП Кармы
[fix]   Исправлены другие замеченные ошибки.

################################################################################
JohnCMS 4.5.1 (18.11.2012)
-------------------------------------------------------------------------------
[fix]   Исправлено множество мелких некритичных ошибок
[sec]   Для Форума, гостевой и привата добавлена валидация форм по токенам
[sec]   Добавлена расширенная фильтрация входящих текстовых данных:
        - Валидация кодировки текста, принимает только UTF-8
        - Удаляются управляющие Unicode символы, невозможны махинации с внешним видом текста
        - Удаляются лишние переводы строк и пробелы
        - Удаляются лишние знаки пунктуации

################################################################################
JohnCMS 4.5.0 (12.10.2012)
-------------------------------------------------------------------------------
[new]   В списках Онлайн добавился новый раздел с IP активностью
[new]   IP WHOIS получение подробных данных об адресе IP из базы данных RIPE
[new]   Новая функция обработки URL в текстах
[new]   История личных поисковых запросов Форума
[new]   Добавлено кэширование счетчиков на Главной странице
[new]   Для Администрации добавлена защита от CSRF (Сross Site Request Forgery) атак
[new]   Редактор языков от k_2
[new]   Добавлен Польский язык
[new]   Добавлен Таджикский язык
[mod]   Усовершенствован алгоритм определения IP via Proxy
[mod]   Доработан приват, добавлены страницы подтверждения при удалении
[mod]   Доработка предпросмотра изображений Форума от Krite
[mod]   Добавлено ограничение по времени на выгрузку файлов форума
[mod]   На форум можно выгружать файлы с любой длиной имени, с пробелами и на Русском
[fix]   В списки Онлайн и на Форум добавлена корректировка вызова несуществующей страницы
[fix]   Исправлен постинг в Гостевой для незарегистрированных посетителей
[fix]   Исправлено оповещение о комментариях в личных гостевых
[fix]   Исправлены многие ошибки и недоработки

################################################################################
JohnCMS 4.4.0 (12.08.2011)
-------------------------------------------------------------------------------
[new]   Возможность назначать Кураторов тем Форума (FlySelf)
[new]   Новый алгоритм разбивки текста на страницы в библиотеке
        Для больших статей, радикально уменьшена нагрузка на сервер.
[new]   Список последних комментариев в Фотоальбомах
[new]   Оповещение о новых комментариях к личным фотографиям
[new]   Возможность устанавливать фото в анкету из личного альбома
[new]   Добавлен Китайский язык
[new]   Добавлен Грузинский язык
[new]   Добавлен Узбекский язык
[mod]   Для рейтинга фотоальбомов поставлен минимальный порог 3 голоса
[fix]   Исправлен SQL запрос счетчика поиска в истории IP адресов
[fix]   Исправлена обработка кавычек для новых тем Форума
[fix]   Исправлена ошибка системного времени

################################################################################
JohnCMS 4.3.0 (28.06.2011)
-------------------------------------------------------------------------------
[new]   Новый, мультиязычный каталог смайлов
[new]   Простая система очистки от неактивных профилей
[new]   Новый класс для обработки тэгов bbCode и ссылок
[new]   Палитра цветов для bbCode
[new]   В личных настройках можно включать "прямые ссылки", без редиректа
[new]   В Форум добавлен режим "Только для чтения" (не действует для Администрации)
[new]   Предпросмотр сообщений Форума
[mod]   Значительно усовершенствован поиск (Форум, Библиотека, пользователи)
[mod]   Переписана регистрация пользователей
[mod]   Переписана функция парсинга смайлов
[mod]   Согласно стандартам RFC, переписаны HTTP заголовки, управляющие кэшированием
[mod]   В многостраничных списках навигация пепреведена на "page"
[mod]   Транслит доступен только для Русского и Украинского языков, для остальных скрыт
[mod]   Переписана система определения местоположения пользователя на сайте
[del]   Удалены счетчики сжатия, перемеремещений по сайту и времени онлайн
[fix]   При удалении пользователя, не удалялись темы на Форуме
[fix]   Не очищалась история посещения гостей
[fix]   В определенных обстоятельствах, можно было сбросить чужой пароль (спасибо Azq2 за сигнал)

################################################################################
JohnCMS 4.2.0  (22.04.2011)
-------------------------------------------------------------------------------
[new]   Фразы языков перенесены в файлы, с разделением по модулям
[new]   Добавлен переключатель языков вверху сайта
[new]   Добавлены Азербайджанский, Казахский и Латышский языки
[new]   Добавлена поддержка Apache mod_expires
[mod]   Приват переведен на мультиязычность
[mod]   На текстах списков голосований форума, работают тэги

################################################################################
JohnCMS 4.1.0  (01.04.2011)
-------------------------------------------------------------------------------
[new]   Все внешние ссылки в текстах (форум, комментарии и др.) обработанные tags()
        теперь идут через локальный редирект (значительно уменьшает число ВС).
        Добавлена страница с предупреждением о переходе по внешней ссылке
[new]   Новая Карта сайта, с управлением из Админки
[new]   "Быстрые смайлы" для компьютеров
[new]   Добавлена тема оформления от =zIp=
[mod]   Увеличена безопасность механизма авторизации юзеров.
        Исключена возможность обхода CAPTCHA при авторизации (спасибо Максиму за сигнал)
[fix]   Исправлены права доступа при назначении на должности
[fix]   Добавлена страница подтверждения при смене аватара в каталоге
[fix]   На Форуме была возможность скачать удаленную тему
[fix]   Забаненные могли голосовать в Карме
[fix]   Для незарегистрированных, в гостевой были видны IP адреса Гостей

################################################################################
JohnCMS 4.0.1  (17.01.2011)
--------------------------------------------------------------------------------
[mod]   На "обрезанных" постах форума, теперь отображаются тэги и смайлы
[mod]   Усовершенствования в личных Фотоальбомах
[mod]   Панель BBcode добавлена также для создания тем и редактирования постов
[fix]   Исправлены мелкие, замеченные ошибки и недоработки
[fix]   Исправления в некоторых переводах языков

################################################################################
JohnCMS 4.0.0  (26.12.2010)
--------------------------------------------------------------------------------
[new]   Новое, быстродействующее ядро системы
[new]   Мультиязычность, возможность загружать / удалять языки
[new]   Новая Админ Панель
[new]   Определение мобильного браузера (глобальная переменная с кэшированием)
[new]   Новый модуль комментариев (глобальный механизм)
        - возможность для пользователей управлять комментариями
        - очистка сообщений выбранного пользователя
        - ответ на комментарий
[new]   Карта сайта
        - оптимизация для SAPE, LinkFeed, разбивка на блоки по 150 ссылок
        - поднятие всех тем форума и статей в библиотеке на 3-й уровень вложенности
        - применено кэширование, для ускорения работы и снижения нагрузки
        - определение мобильных браузеров (им карта не показывается)
[new]   Личные фотоальбомы пользователей
        - создание, удаление, редактирование, сортировка альбомов
        - назначение прав доступа к альбомам (всем, друзьям, пароль, закрыто)
        - редактирование фотографий (яркость, контрастность, поворот)
        - редактирование описаний, перемещение между альбомами
        - рейтинги и многое другое...
[new]   Личные Гостевые (стена) пользователей
        - пользователь сам управляет своей Гостевой
        - уведомление о новых комментариях
[new]   Новая Анкета пользователя
        - расширенная информация
        - статистика активности
[new]   Новый модуль Кармы, алгоритм прежний, но переписан код
[new]   Новый Рекламный модуль, возможность ставить "Прямые" ссылки
[new]   Предпросмотр картинок файл-обменника Форума. Оптимизация кода
[new]   Новый модуль модерации регистраций пользователей
        - массовое подтверждение / удаление регистраций
        - удаление всех регистраций с выбранным адресом IP
[new]   Фиксируется полная история IP адресов для каждого посетителя
        - просмотр истории IP посетителя в хронологическом порядке
        - поиск (для Администрации) по всей истории IP
[new]   Подсветка поисковых запросов форума (Krite + AlkatraZ)
[new]   Цветные графики голосований (от VARG)
[new]   Панель быстрого ввода BBcode (от seg0ro)
[new]   Новый модуль F.A.Q. со встроенными каталогами Аватаров и Смайлов
[new]   Полностью переработана функция "история нарушений"
[new]   Общее хранилище /files для выгружаемых файлов всех модулей
[new]   Управление доступом к просмотру Актива сайта для Гостей
[mod]   При закрытии модуля, на него скрываются ссылки с Главной
[fix]   В закрытой теме форума, оставались открытыми голосования
[del]   Из дистрибутива удален Чат

################################################################################
JohnCMS 3.2.2  (02.06.2010)
--------------------------------------------------------------------------------
[mod]   Введена проверка на минимальную длину названия темы форума
[fix]   Было возможно создание тем с пустым, некликабельным названием.
[fix]   Не обрабатывались внутренние ссылки форума при создании новых тем
[fix]   При обработке некоторых ссылок, могли возникать ошибки XHTML
[fix]   При удалении бана, в Карме восстанавливается репутация

################################################################################
JohnCMS 3.2.1  (21.05.2010)
--------------------------------------------------------------------------------
[sec]   Применен новый алгоритм CAPTCHA

################################################################################
JohnCMS 3.2.0  (29.04.2010)
--------------------------------------------------------------------------------
[new]   Новая версия Гостевой, усовершенствован алгоритм, повышена стабильность
[new]   Глобальные настройки Антифлуда в Админке. Несколько режимов работы
[new]   Совместимость с PHP 5.3 и выше
[new]   Новый, надежный алгоритм поиска и бана IP адреса
[mod]   Обновлены библиотеки class_upload и class_pclzip
[mod]   У простых модеров теперь есть доступ к функциям поиска Админки
[mod]   В файле .htaccess включено подавление вывода сообщений об ошибках PHP
[mod]   В списках онлайн показываются аватары, изменен внешний вид.
[fix]   Исправлена ошибка деления на 0 в голосованиях форума
[fix]   У браузеров Opera Mini были проблемы с обновлением картинки CAPTCHA
[fix]   Исправлена работа с ZIP архивами в загруз-центре

################################################################################
JohnCMS 3.1.1  (25.03.2010)
--------------------------------------------------------------------------------
[mod]   Доработана система показа рекламы mobileads.ru код перенесен в функцию
[fix]   В списке проголосовавших не отображался значок пола
[fix]   Не работала автоочистка таблицы гостей
[fix]   Админ не мог удалить чужую фотографию из анкеты
[fix]   Исправлены мелкие недоработки

################################################################################
JohnCMS 3.1.0 (27.02.2010)
--------------------------------------------------------------------------------
[new]   Новая система входа на сайт.
        - изменен алгоритм, радикально улучшена безопасность.
        - добавлена шифровка пароля в COOKIE
        - после 3-х неверных логинов, будет показана CAPTCHA
[new]   Метки, кто удалил / восстановил тему, или пост на форуме
[new]   Предпросмотр прикрепленных картинок Форума
[new]   Каталог готовых Аватаров с возможностью выбора (от VARG)
[new]   Модуль Кармы пользователей
[mod]   Каталог смайлов теперь показывает типы файлов GIF, JPG и PNG
[fix]   В сканер-антишпион добавлены пропущенные системные файлы
[fix]   Админ не мог менять пароль юзера
[fix]   Исправлено несколько нерабочих ссылок
[fix]   В каталоге смайлов не показывались файлы jpg и png
[sec]   Подделав запрос, можно было удалить не свое сообщение

################################################################################
JohnCMS 3.0.0 (15.12.2009) | Деда Гришу с днем рожденья :)
--------------------------------------------------------------------------------
[new]   Серьезное обновление ядра системы, по-новому организованы настройки
[new]   Новая, быстродействующая система подсчета юзеров/гостей онлайн
[new]   Новый Форум! Быстродействующее ядро, оптимизированные SQL запросы
        - голосования в темах
        - фильтрация постов по авторам
        - автоподстановка названий тем форума, в ссылки
        - прикрепление первого поста в теме (отключается из личных настроек)
        - полнотекстовый поиск с сортировкой по релевантности запросов
        - подсветка PHP кода в текстах (BBcode)
        - настройка "обрезки" длинных постов
        - возможность для юзера редактировать/удалять свой последний пост
        - много других улучшений
[new]   Новый модуль восстановления забытого пароля
[new]   Установка прав доступа к модулям (все, авторизованные, только админы)
[new]   Файл-менеджер (обменник) для прикрепленных файлов форума
        - Сортировка по типу файлов (архивы, картинки, тексты и т.д.)
        - Фильтрация по разделу, подразделу, топику
        - Список "новых" файлов форума
[new]   Новая админка
        - Удаление юзеров с выборочной чисткой активности
        - Расширенный поиск по Нику, или адресу IP (маска, диапазон)
        - Удобное управление Форумом
        - Много других новых функций
[new]   Новый загруз-центр, быстрый алгоритм, оптимизированные SQL запросы
[new]   Продвинутый поиск пользователей
[new]   Новая функция парсинга BBcode для ссылок
[new]   Новая (быстрая, с Кэшированием) функция парсинга Cмайлов и их каталог
[new]   Дайджест показывает события для Администратора сайта (события в Админке)
[new]   Блокировка одинаковых сообщений
[new]   "Монитор активности", переход к последнему посту из списка последних 10
[new]   Топ активности посетителей Сайта
[new]   Новый "личный кабинет"
[new]   Новая анкета. По-новому организовано ее редактирование
[new]   Модуль управления рекламными ссылками
[new]   Выгрузка фото в личную Анкету
[new]   Система Аватаров
[new]   Тема оформления от `oz`
[mod]   Оптимизированы функции статистики, значительно увеличена скорость работы
[mod]   Оптимизирован код Гостевой
[mod]   Оптимизирован код списка "Онлайн", снижена нагрузка на сервер
[mod]   Возможность редактировать статью и ее параметры в Библиотеке
[mod]   Администратор может писать даже в закрытые темы форума
[mod]   Библиотека в заголовке страницы показывает название раздела / статьи
[mod]   Применена новая функция pagenav() при чтении статьи в Библиотеке
[fix]   Удаленные юзеры теперь помечаются специальными значками
[fix]   При редактировании новости, могла возникать ошибка XHTML
[fix]   Устранены ошибки в проверке CAPTCHA
[fix]   Исключены ошибки XHTML, которые возникали на заголовках Библиотеки
[fix]   Устранена ошибка в модуле HTTP antiFlood

################################################################################
JohnCMS 2.4.0 (21.04.2009)
--------------------------------------------------------------------------------
[new]   Новый модуль бана по адресу IP
        - Возможность банить как один адрес, так и диапазон адресов
        - Возможность банить мо маске подсети (пример 75.*.*.*)
        - Быстрый алгоритм поиска адреса в базе
[new]   Модуль управления новостями на Главной странице
[new]   Модуль управления кодами счетчиков из Админ-панели.
[mod]   На форуме, в заголовке страницы показывает название раздела / темы
[mod]   При удалении с форума темы-комментария к новости, теперь не будет ссылки
[mod]   Изменен диапазон чистки новостей. Теперь неделя и месяц
[mod]   Новый класс определения IP адреса, более надежный алгоритм
[mod]   Модифицирован и оптимизирован код системы комментариев библиотеки
[mod]   Оптимизирован код библиотеки, введена новая постраничная навигация
[mod]   Все счетчики, из файла end.php  перенесены в отдельные функции
[mod]   Оптимизирован код раздела "Последние 10 тем" на форуме 
[fix]   Для гостей, на форуме (в новом) были видны заголовки удаленных тем
[fix]   Более надежная проверка данных при смене пароля юзером
[fix]   При регистрации слишком длинного имени, в анкете возникала ошибка XHTML
[fix]   В Гостевой, на никах гостей могла возникать ошибка XHTML
[fix]   Исправлена курьезная ошибка в системе смены скинов, когда, заслав
        определенный запрос, можно было поставить самому себе дефейс.
[fix]   Модеры Чата не могли банить
[fix]   В комментариях библиотеки, введена проверка на существование статьи
[fix]   Исправлена ошибка навигации по страницам в Библиотеке
[fix]   Устранена ошибка XHTML в поиске на форуме. Немного оптимизирован код.
[fix]   В анкете юзеров, могли возникать ошибки XHTML
[fix]   Для гостей, на форуме не работала сортировка "новые вверху / внизу"
[fix]   С некоторых браузеров возникала ошибка при добавлении новостей
[fix]   Администрация не могла писать на форуме со старых браузеров
[fix]   Откорректирован парсинг ссылок, исправлены ошибки XHTML
[fix]   В настройках системы иногда могли возникать ошибки XHTML
[fix]   У Модеров и Киллеров, при просмотре анкет возникала ошибка XHTML
[fix]   В новостях не переносились строки текста
[sec]   Заслав определенный POST запрос, можно было удалить не свою почту

################################################################################
JohnCMS 2.3.0 (23.03.2009)
--------------------------------------------------------------------------------
[new]   Массовая чистка постов в форуме (чекбоксы)
[new]   Новый модуль Новостей
[new]   Новая система Антиспама (для всего сайта)
[new]   Иммунитет для пользователя (невозможно банить, или удалить).
[new]   Новая функция листинга по страницам
[new]   Добавлен модуль "Антишпион" (Антивирус), который предназначен для
        выявления подозрительных и опасных файлов в директориях сайта.
[new]   Система "Пинка" для модераторов форума
[mod]	На Главной, вместо даты новостей, показывает их к-во за последние сутки
[mod]   В списке ожидающих регистрации (админка), показывает IP и UserAgent
[mod]   Модифицирована личная анкета и ее редактирование из Админки
        - Изменен внешний вид
        - Добавлены поля Skype и Jabber
        - Показывает Логин и ID пользователя
[mod]   Немного оптимизирован код чата. В 2 раза увеличена скорость работы
[mod]   Глобальная оптимизация SQL запросов во всех модулях.
        Значительно увеличена производительность и снижена нагрузка на сервер.
[mod]   Переписана функция статистики Чата.
        Радикально увеличена производительность и снижена нагрузка на сервер
[mod]   По многочисленным просьбам, вернулись чередующиеся цвета в списках
[mod]   В список разрешенных расширений добавлены *.cab,*.sis,*.sisx,*.exe,*.msi
[fix]   На форуме не работала сортировка "новые вверху / внизу"
[fix]	В списке тем на форуме, неправильно отображалось время
[fix]   После удаления профиля юзера, в базе оставались некоторые его данные
[fix]   Был возможен спам привата. Новая система Антиспама исправляет недостаток
[fix]   В ссылках неправильно обрабатывался знак &
[fix]   На форуме невозможно было писать с браузера Internet Explorer
[fix]   При цитировании постов форума, содержащих знак & возникала ошибка XHTML
[fix]   Ошибочная дата последнего визита для вновь зарегистрированных
[fix]   При изменении поста в форуме, теперь возврат на свою страницу
[fix]   В Чате не работали счетчики посетителей (кто в комнатах и в чате)
[fix]   Исправлен модуль скачки тем с форума
[fix]   Из настроек юзера удалено ненужное Ник-меню, оставшееся от старой версии

################################################################################
JohnCMS 2.0.0 (07.01.2009)
--------------------------------------------------------------------------------
[new]   Новый форум, серьезно переделано его ядро.
        Радикально увеличена производительность и снижена нагрузка на сервер.
        Изменен формат хранения данных.
        Корректное отображение текстов, исключены ошибки XHTML
        Сохранена совместимость с предыдущей версией.
[new]   Смена стилей. За основу взят доработанный мод от `heavi`
[new]   Амнистия для забаненных (различные варианты)
[new]   По-новому организован "личный кабинет"
[new]   Новая система пользовательских настроек
[new]   Новый Дайджест. В списке выводятся только те новости, которые есть.
        Сам дайджест работает только при входе через Логин форму, или на Главную
        Дайджест возможно отключить из "личных настроек"
[mod]   Оптимизирован "Быстрый переход", ускорена работа
[mod]   Модифицирован парсинг bbCode, добавлен тэг перечеркивания [s][/s]
[mod]   В функции определения IP исключены из обработки нулевые адреса
[mod]   Для редактирования описаний в загруз центре, применено многострочное поле
[mod]   Оптимизирован код Библиотеки, ускорена работа, снижена нагрузка на сервер
[mod]   Оптимизированы функции статистики, удален файл stat.php
[mod]   Оптимизирован счетчик Online
[fix]   Из "Игнора" невозможно было удалить некоторых юзеров
[fix]   В списке "кто, где" не показывалась Гостевая
[fix]   Некорректно отображалось время, проведенное на сайте
[fix]   Исправлена админка для Супермодеров
[fix]   Исправлена ошибка XHTML в форме бана
[fix]   style.css Исправлен стиль класса .quote

################################################################################
JohnCMS 1.6.0 (14.09.2008)
--------------------------------------------------------------------------------
[new]   История нарушений в личных анкетах посетителей
[new]   Дайджест для зарегистрированных посетителей
[new]   Новая, более надежная и быстрая функция парсинга URL в текстах
[new]   Новые пользователи выделяются специальным значком
        В списке юзеров, на форуме, в гостевой и в списке "онлайн"
[new]   Бан из форума, с указанием ссылки на пост, который был причиной бана
[mod]   Усовершенствована статистика по Гостевой / Админ-клубу
[mod]   Изменена анкета посетителей.
[fix]   В чате и на форуме, невозможно было писать с браузера Internet Explorer
[fix]   Из меню "быстрого перехода" не работала ссылка на загруз-центр
[fix]   В библиотеку не выгружались статьи из текстовых файлов
[fix]   Неправильно записывался адрес IP при регистрации новых юзеров
[fix]   Исправлены ошибки XHTML на "новых" в Галерее

################################################################################
JohnCMS 1.5.0 (19.08.2008)
--------------------------------------------------------------------------------
[new]   Система Бана пользователей
        - полный запрет доступа на сайт
        - запрет активности на сайте в целом
        - запрет активности в отдельных подсистемах
        - запрет комментариев
[new]   Возможность открывать / закрывать доступ
        - к регистрации в системе
        - к отдельным модулям
[new]   Добавлена система Бана по IP адресу
        - Полный запрет доступа к сайту
        - Закрытие регистрации для данного IP
        - Редирект по ссылке
[new]   На Форуме и в Гостевой, для юзеров отображаются статусы под никами
[new]   Админ-Клуб в гостевой, в котором могут общаться только Админы / Модеры
[new]   В Гостевой, для незарегистрированных посетителей, добавлен код CAPTCHA
[new]   Новый, надежный алгоритм проверки выгружаемых файлов
[new]   Новый инсталлятор с парсингом SQL файлов. Заливка ДЕМО данных
[new]   Новые функции обработки ссылок и BBcode и "Antilink" в текстах
[new]   Функция удаления слэшей, при открытом magic_quotes_gpc
[new]   Новая функция навигации по страницам
[new]   Новая система хранения настроек CMS
[new]   Новый набор иконок для форума
[mod]   Доработанная Админка. Улучшена работа, исправлены замеченные ошибки
[mod]   Изменено форматирование цитат на форуме, добавлен CSS класс .quote
[mod]   Изменения в генераторе CAPTCHA. Должен работать более надежно
[mod]   Усилена защита в авторизации пользователей, оптимизирован код ядра
[mod]   Скачать Java книгу могут только зарегистрированные пользователи
[mod]   Изменен "личный кабинет". Он теперь вынесен из файла mainmenu.php
[del]   Удален Админ Чат, его функции перешли в Админ-Клуб Гостевой книги
[fix]   При активизации E-mail адреса, почта приходила в неверной кодировке
[fix]   Не назначались модераторы на подфорумы
[fix]   Исправлена ссылка листинга по страницам на "Кто в форуме"
[fix]   Не работало подтверждение регистраций
[fix]   Устранены ошибки XHTML, иногда возникающие на длинных текстах форума
[fix]   Исправлены ошибки XHTML, на ссылках (по всему сайту)
[fix]   Исправлена ошибка в отображении "Новых" тем на форуме
[fix]   Не выбирались подфорумы в списке "новых" на форуме
[fix]   На удаленных темах в форуме возникала ошибка XHTML
[fix]   В библиотеке неправильно работал листинг по страницам категорий
[fix]   В привате мог перезаписаться прикрепленный файл с совпадающим именем
[fix]   В списке контактов у всех стояло [Off] независимо в онлайне юзер или нет
[fix]   favicon отображалась не на всех страницах сайта
[fix]   Из контактов невозможно было удалить юзера
[fix]   В Чате не отображалось сообщение о новых входящих письмах
[fix]   Исправлено множество мелких недоработок и оптимизирован код
[sec]   Исправлена "php-injection" уязвимость
[sec]   Добавлена защита от TRACE атак

################################################################################
JohnCMS 1.0.0 (27.04.2008) стабильная версия
--------------------------------------------------------------------------------
[new]   Новое ядро системы
        - Оптимизированы многие запросы, снижена нагрузка на сервер
[new]   Применена более эффективная защита от HTTP-Flood атак (анти DOS). 
[new]   Новая система регистрации пользователей:
        - Невозможна махинация с комбинацией Русских - Латинских символов
        - Более строгая проверка на разрешенные символы в Нике и пароле
        - Поле "О себе" теперь не является обязательным
        - Применен другой алгоритм для CAPTCHA
[new]   Новая библиотека.
        - Новый алгоритм хранения данных. Исключены ошибки XHTML.
        - Возможность компиляции Java книг
        - Добавлен рейтинг статей (по количеству прочтений)
[new]   Новая гостевая. Среди изменений функционала:
        - Для зарегистрированных пользователей отображаются ссылки.
        - Для гостей не работают переводы строк
        - Отображается кто последний, когда и сколько редактировал пост
        - Возможность чистки гостевой (все, день, неделя)
[new]   Загруз центр, для MP3 файлов, теперь может считывать из ID тэгов
        файла: Исполнитель, Альбом, Композиция, Год выхода.
[new]   Модуль RSS новостей сайта и новостей библиотеки
[new]   Для прикрепленных файлов на форуме, добавлен счетчик скачиваний
[new]   В Админке добавлена возможность поиска юзера как по Нику, так и по ID
[mod]   Модифицирована Анкета пользователя
[mod]   Модифицирована Админка.
[del]   Удалена за ненадобностью пользовательская настройка цвета
[fix]   Увеличено быстродействие, устранены ошибки в работе форума
[fix]   Увеличено быстродействие загруз центра
[fix]   Устранены замеченные ошибки
[sec]   Новая, более надежная система авторизации пользователей

################################################################################
JohnCMS 0.3.0 (25.02.2008)
--------------------------------------------------------------------------------
[new]   Использование в коде функций mb_string и iconv
[new]   Полный перевод базы данных на UTF-8
[new]   Новая, облегченная версия чата с модифицированным "Умником"
[new]   Новая версия библиотеки с Анонсами статей
[fix]   Исправлены множество замеченных проблем и недоработок

################################################################################
JohnCMS 0.2.0 (08.02.2008)
--------------------------------------------------------------------------------
Первый релиз системы, доступный для скачивания

################################################################################
JohnCMS 0.1.0 (10.11.2007 не публиковалась)
--------------------------------------------------------------------------------
Исходная версия от john77